version.h File Reference

Run-time version information. More...

`#include "config.h"`
Include dependency graph for version.h:

Go to the source code of this file.

## Macros

#define | MBEDTLS_VERSION_MAJOR 2
| The version number x.y.z is split into three parts. More...
#define | MBEDTLS_VERSION_MINOR 2
#define | MBEDTLS_VERSION_PATCH 1
#define | MBEDTLS_VERSION_NUMBER 0x02020100
| The single version number has the following structure: MMNNPP00 Major version | Minor version | Patch version. More...
#define | MBEDTLS_VERSION_STRING "2.2.1"
#define | MBEDTLS_VERSION_STRING_FULL "mbed TLS 2.2.1"

## Functions

unsigned int | mbedtls_version_get_number (void)
| Get the version number. More...
void | mbedtls_version_get_string (char *string)
| Get the version string ("x.y.z"). More...
void | mbedtls_version_get_string_full (char *string)
| Get the full version string ("mbed TLS x.y.z"). More...
int | mbedtls_version_check_feature (const char *feature)
| Check if support for a feature was compiled into this mbed TLS binary. More...

## Detailed Description

Run-time version information.

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file version.h.

## Macro Definition Documentation

#define MBEDTLS_VERSION_MAJOR 2

The version number x.y.z is split into three parts.

Major, Minor, Patchlevel

Definition at line 40 of file version.h.

#define MBEDTLS_VERSION_MINOR 2

Definition at line 41 of file version.h.

#define MBEDTLS_VERSION_NUMBER 0x02020100

The single version number has the following structure: MMNNPP00 Major version | Minor version | Patch version.

Definition at line 49 of file version.h.

#define MBEDTLS_VERSION_PATCH 1

Definition at line 42 of file version.h.

#define MBEDTLS_VERSION_STRING "2.2.1"

Definition at line 50 of file version.h.

#define MBEDTLS_VERSION_STRING_FULL "mbed TLS 2.2.1"

Definition at line 51 of file version.h.

## Function Documentation

int mbedtls_version_check_feature | ( | const char * | feature | ) |

Check if support for a feature was compiled into this mbed TLS binary.

This allows you to see at runtime if the library was for instance compiled with or without Multi-threading support.

Note
  only checks against defines in the sections "System support", "mbed TLS modules" and "mbed TLS feature support" in config.h

Parameters

  feature | The string for the define to check (e.g. "MBEDTLS_AES_C")

Returns
  0 if the feature is present, -1 if the feature is not present and -2 if support for feature checking as a whole was not compiled in.

unsigned int mbedtls_version_get_number | ( | void |  | ) |

Get the version number.

Returns
  The constructed version number in the format MMNNPP00 (Major, Minor, Patch).

void mbedtls_version_get_string | ( | char * | string | ) |

Get the version string ("x.y.z").

Parameters

  string | The string that will receive the value. (Should be at least 9 bytes in size)

void mbedtls_version_get_string_full | ( | char * | string | ) |

Get the full version string ("mbed TLS x.y.z").

Parameters

  string | The string that will receive the value. The mbed TLS version string will use 18 bytes AT MOST including a terminating null byte. (So the buffer should be at least 18 bytes to receive this version string).